Loading...
Searching...
No Matches
oldroyd_theta_scheme< Problem >

## Detailed Description

template<class Problem>
struct oldroyd_theta_scheme< Problem >

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 26 of file oldroyd_theta_scheme.h.

## Public Member Functions

| oldroyd_theta_scheme ()
void | initial (const geo &omega, field &tau_h, field &uh, field &ph, string restart)
bool | solve (field &tau_h, field &uh, field &ph)

## Public Attributes

Float | We
Float | alpha
Float | a
Float | Re
Float | delta_t
Float | tol
size_t | max_iter

## Protected Member Functions

void | step (const field &tau_h0, const field &uh0, const field &ph0, field &tau_h, field &uh, field &ph) const
void | sub_step1 (const field &tau_h0, const field &uh0, const field &ph0, field &tau_h, field &uh, field &ph) const
void | sub_step2 (const field &uh0, const field &tau_h1, const field &uh1, field &tau_h, field &uh) const
Float | residue (field &tau_h, field &uh, field &ph) const
void | reset (const geo &omega)
void | update_transport_stress (const field &uh) const

## Protected Attributes

space | Th
space | Xh
space | Qh
form | b
form | c
form | d
form | mt
form | inv_mt
form | mu
form | mp
form | th
field | thb
Float | theta
Float | lambda
Float | eta
Float | nu
Float | c1
Float | c2
Float | c3
Float | c4
Float | c5
problem_mixed | stokes

## Constructor & Destructor Documentation

## oldroyd_theta_scheme()

template<class P >

oldroyd_theta_scheme | ( |  | ) |

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme1.h.

Definition at line 26 of file oldroyd_theta_scheme1.h.

## Member Function Documentation

## initial()

template<class P >

void initial | ( | const geo & | omega,
|  | field & | tau_h,
|  | field & | uh,
|  | field & | ph,
|  | string | restart
| ) |  |

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, oldroyd_theta_scheme.h, and oldroyd_theta_scheme2.h.

Definition at line 47 of file oldroyd_theta_scheme2.h.

## solve()

template<class P >

bool solve | ( | field & | tau_h,
|  | field & | uh,
|  | field & | ph
| ) |  |

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, oldroyd_theta_scheme.h, and oldroyd_theta_scheme2.h.

Definition at line 26 of file oldroyd_theta_scheme2.h.

## step()

template<class P >

void step | ( | const field & | tau_h0,
|  | const field & | uh0,
|  | const field & | ph0,
|  | field & | tau_h,
|  | field & | uh,
|  | field & | ph
| ) |  | const

protected

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme2.h.

Definition at line 70 of file oldroyd_theta_scheme2.h.

## sub_step1()

template<class P >

void sub_step1 | ( | const field & | tau_h0,
|  | const field & | uh0,
|  | const field & | ph0,
|  | field & | tau_h,
|  | field & | uh,
|  | field & | ph
| ) |  | const

protected

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme3.h.

Definition at line 26 of file oldroyd_theta_scheme3.h.

## sub_step2()

template<class P >

void sub_step2 | ( | const field & | uh0,
|  | const field & | tau_h1,
|  | const field & | uh1,
|  | field & | tau_h,
|  | field & | uh
| ) |  | const

protected

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme3.h.

Definition at line 42 of file oldroyd_theta_scheme3.h.

## residue()

template<class P >

Float residue | ( | field & | tau_h,
|  | field & | uh,
|  | field & | ph
| ) |  | const

protected

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme2.h.

Definition at line 81 of file oldroyd_theta_scheme2.h.

## reset()

template<class P >

void reset | ( | const geo & | omega | ) |

protected

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme1.h.

Definition at line 31 of file oldroyd_theta_scheme1.h.

## update_transport_stress()

template<class P >

void update_transport_stress | ( | const field & | uh | ) | const

protected

Examples
  oldroyd_theta_scheme.h, and oldroyd_theta_scheme3.h.

Definition at line 65 of file oldroyd_theta_scheme3.h.

## Member Data Documentation

## We

template<class Problem >

Float We

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 42 of file oldroyd_theta_scheme.h.

## alpha

template<class Problem >

Float alpha

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 42 of file oldroyd_theta_scheme.h.

## a

template<class Problem >

Float a

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 42 of file oldroyd_theta_scheme.h.

## Re

template<class Problem >

Float Re

Examples
  oldroyd_theta_scheme.h.

Definition at line 42 of file oldroyd_theta_scheme.h.

## delta_t

template<class Problem >

Float delta_t

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 42 of file oldroyd_theta_scheme.h.

## tol

template<class Problem >

Float tol

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 42 of file oldroyd_theta_scheme.h.

## max_iter

template<class Problem >

size_t max_iter

Examples
  oldroyd_cavity.cc, oldroyd_contraction.cc, and oldroyd_theta_scheme.h.

Definition at line 43 of file oldroyd_theta_scheme.h.

## Th

template<class Problem >

space Th

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 45 of file oldroyd_theta_scheme.h.

## Xh

template<class Problem >

space Xh

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 45 of file oldroyd_theta_scheme.h.

## Qh

template<class Problem >

space Qh

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 45 of file oldroyd_theta_scheme.h.

## b

template<class Problem >

form b

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## c

template<class Problem >

form c

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## d

template<class Problem >

form d

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## mt

template<class Problem >

form mt

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## inv_mt

template<class Problem >

form inv_mt

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## mu

template<class Problem >

form mu

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## mp

template<class Problem >

form mp

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 46 of file oldroyd_theta_scheme.h.

## th

template<class Problem >

form th

mutable protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 47 of file oldroyd_theta_scheme.h.

## thb

template<class Problem >

field thb

mutable protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 48 of file oldroyd_theta_scheme.h.

## theta

template<class Problem >

Float theta

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## lambda

template<class Problem >

Float lambda

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## eta

template<class Problem >

Float eta

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## nu

template<class Problem >

Float nu

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## c1

template<class Problem >

Float c1

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## c2

template<class Problem >

Float c2

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## c3

template<class Problem >

Float c3

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## c4

template<class Problem >

Float c4

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## c5

template<class Problem >

Float c5

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 49 of file oldroyd_theta_scheme.h.

## stokes

template<class Problem >

problem_mixed stokes

protected

Examples
  oldroyd_theta_scheme.h.

Definition at line 50 of file oldroyd_theta_scheme.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/oldroyd_theta_scheme.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/oldroyd_theta_scheme1.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/oldroyd_theta_scheme2.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/oldroyd_theta_scheme3.h